Security Enhanced Linux Reference Policy

# Layer: services

## Module: certbot

Tunables Interfaces

### Description:

SSL certificate requesting tool certbot AKA letsencrypt.

### Tunables:

certbot_acmesh

##### Default value

false

##### Description

Determine whether additional rules should be enabled to support acme.sh

Return

### Interfaces:

certbot_domtrans( domain )

##### Summary

Execute certbot/letsencrypt in the certbot domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

certbot_read_lib( domain )

##### Summary

Read TLS certificates and keys generated by certbot.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

certbot_run( domain , role )

##### Summary

Execute certbot/letsencrypt in the certbot domain, and allow the specified role the firstboot domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.
role | Role allowed access.

Return